dpp::detail::task::promise_base::proxy_awaiter
task.h
typename A
A A dpp::detail::task::promise_base< R >::proxy_awaiter< A >::awaitable awaitable dpp::detail::task::promise_base::proxy_awaiter::awaitable

The inner awaitable being awaited.

const promise_base & const promise_base& dpp::detail::task::promise_base< R >::proxy_awaiter< A >::promise promise dpp::detail::task::promise_base::proxy_awaiter::promise

The promise_t object bound to this proxy.

bool bool dpp::detail::task::promise_base< R >::proxy_awaiter< A >::await_ready () await_ready dpp::detail::task::promise_base::proxy_awaiter::await_ready

Wrapper for the awaitable's await_ready.

decltype(auto) decltype(auto) dpp::detail::task::promise_base< R >::proxy_awaiter< A >::await_resume () await_resume dpp::detail::task::promise_base::proxy_awaiter::await_resume

Wrapper for the awaitable's await_resume, throws if the task is cancelled.

dpp::task_cancelled_exception

If the task was cancelled

typename T
decltype(auto) decltype(auto) dpp::detail::task::promise_base< R >::proxy_awaiter< A >::await_suspend (T handle) await_suspend dpp::detail::task::promise_base::proxy_awaiter::await_suspend T handle

Wrapper for the awaitable's await_suspend.

Proxy awaitable that wraps any co_await inside the task and checks for cancellation on resumption.

await_transform

A
T
bool
dpp::basic_promise< T >
dpp::basic_promise< R >
< R >
dpp::detail::promise::promise_base< T >
value
state
awaiter
dpp::detail::promise::promise_base< R >
value
state
awaiter
< R >
dpp::detail::promise::promise_base< T >
value
state
awaiter
dpp::detail::task::promise_base< R >
cancelled
dpp::detail::task::promise_base< R >::proxy_awaiter< A >
promise
awaitable
result_t< R >
result_t< T >
std::atomic< T >
ptr
std::atomic< bool >
ptr
< bool >
std::atomic< uint8_t >
ptr
< uint8_t >
coroutine_handle
uint8_t
- dpp::detail::task::promise_base::proxy_awaiter
  await_ready
- dpp::detail::task::promise_base::proxy_awaiter
  await_resume
- dpp::detail::task::promise_base::proxy_awaiter
  await_suspend
- dpp::detail::task::promise_base::proxy_awaiter
  awaitable
- dpp::detail::task::promise_base::proxy_awaiter
  promise